Subject: [3gv6] Comments on draft-wing-behave-dns64-config-02

From: Hui Deng <[email-masked]>
Date: Sat, 20 Feb 2010 17:45:16 +0800

Hello Dan,

Many thanks for writing this document, I feel this idea is good.
Sometime, IPv6 only might be upgraded to support dual stack, then
DNS64 and NAT64 sometime might need to be supported in dual stack network,
comments below:

1) From title, this is more like dual stack connections other than
dual stack hosts?

2) if we put DNS64 in the host like PNAT, then DNSsec will operate much better.

3) in Section 3.4 what do you mean side effect? 44ALG or 64ALG?

4) In section 3.4.2 regarding applications own adress selection rules,
can you help to give some examples on it?

5) section 3.1 require 2 DNS might has some practical issue..

thanks for writing this document

-Hui